Package org.apache.calcite.avatica

# Enum ConnectionProperty.Type

java.lang.Object
java.lang.Enum<ConnectionProperty.Type>
org.apache.calcite.avatica.ConnectionProperty.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<ConnectionProperty.Type>`, `java.lang.constant.Constable`

Enclosing interface:
  ConnectionProperty

public static enum ConnectionProperty.Type extends Enum<ConnectionProperty.Type>
Data type of property.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`ENUM`
`NUMBER`
`PLUGIN`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`Class`
`deduceValueClass(Object defaultValue, Class valueClass)`
Deduces the class of a property of this type, given the default value and the user-specified value class (each of which may be null, unless this is an enum or a plugin).
`Class`
`defaultValueClass()`
`boolean`
`valid(Object defaultValue, Class clazz)`
Returns whether a default value and value types are valid for this kind of property.
`static ConnectionProperty.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConnectionProperty.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BOOLEAN

public static final ConnectionProperty.Type BOOLEAN

### STRING

public static final ConnectionProperty.Type STRING

### NUMBER

public static final ConnectionProperty.Type NUMBER

### ENUM

public static final ConnectionProperty.Type ENUM

### PLUGIN

public static final ConnectionProperty.Type PLUGIN

## Method Details

### values

public static ConnectionProperty.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConnectionProperty.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### deduceValueClass

public Class deduceValueClass(Object defaultValue, Class valueClass)
Deduces the class of a property of this type, given the default value and the user-specified value class (each of which may be null, unless this is an enum or a plugin).

### valid

public boolean valid(Object defaultValue, Class clazz)
Returns whether a default value and value types are valid for this kind of property.

### defaultValueClass

public Class defaultValueClass()